# eth\_getBlockByNumber

### Parameters

* `block parameter`: \[<mark style="color:red;">Required</mark>] A hexadecimal block number, or one of the string tags latest, earliest, pending, safe, or finalized. See the [default block parameter](https://ethereum.org/en/developers/docs/apis/json-rpc/#default-block).
* `show transaction details flag`: \[<mark style="color:red;">Required</mark>] If set to true, returns the full transaction objects. If false returns only the hashes of the transactions.

***

### Returns

A block object matching the number in the request, or null when no block was found. The matched block contains the following keys and their values:

* `difficulty`: A hexadecimal of the difficulty for this block.
* `extraData`: The "extra data" field of this block.
* `gasLimit`: Maximum gas allowed in this block.
* `gasUsed`: Total used gas by all transactions in this block.
* `hash`: 32 bytes. The hash of the block. Null when the returned block is the pending block.
* `logsBloom`: 256 bytes. The bloom filter for the logs of the block. Null when the returned block is the pending block.
* `miner`: 20 bytes. The address of the beneficiary to whom the mining rewards were given.
* `nonce`: 8 bytes. The hash of the generated proof-of-work. Null when the returned block is the pending block.
* `number`: The block number. Null when the returned block is the pending block.
* `parentHash`: 32 bytes. The hash of the parent block.
* `receiptsRoot`: 32 bytes. The root of the receipts trie of the block.
* `sha3Uncles`: 32 bytes. The SHA3 of the uncles data in the block.
* `size`: A hexadecimal of the size of this block in bytes.
* `stateRoot`: 32 bytes. The root of the final state trie of the block.
* `timestamp`: Unix timestamp for when the block was collated.
* `totalDifficulty`: A hexadecimal of the total difficulty of the chain until this block.
* `transactions`: \[Array] An array of transaction objects, or 32 bytes transaction hashes depending on the last given parameter.
* `transactionsRoot`: 32 bytes. The root of the transaction trie of the block.
* `uncles`: \[Array] An Array of uncle hashes.

***

### Example

#### Request

```sh
curl -X POST https://testnet.1money.network \
  -H "Content-Type: application/json" \
  -d '{"jsonrpc": "2.0", "method": "eth_getBlockByNumber", "params": ["0x5bad55", false], "id": 1}'
```

#### Response

```sh
{
  "jsonrpc": "2.0",
  "id": 1,
  "result": {
    "difficulty": "0xbfabcdbd93dda",
    "extraData": "0x737061726b706f6f6c2d636e2d6e6f64652d3132",
    "gasLimit": "0x79f39e",
    "gasUsed": "0x79ccd3",
    "hash": "0xb3b20624f8f0f86eb50dd04688409e5cea4bd02d700bf6e79e9384d47d6a5a35",
    "logsBloom": "0x4848112002a2020aaa0812180045840210020005281600c80104264300080008000491220144461026015300100000128005018401002090a824a4150015410020140400d808440106689b29d0280b1005200007480ca950b15b010908814e01911000054202a020b05880b914642a0000300003010044044082075290283516be82504082003008c4d8d14462a8800c2990c88002a030140180036c220205201860402001014040180002006860810ec0a1100a14144148408118608200060461821802c081000042d0810104a8004510020211c088200420822a082040e10104c00d010064004c122692020c408a1aa2348020445403814002c800888208b1",
    "miner": "0x5a0b54d5dc17e0aadc383d2db43b0a0d3e029c4c",
    "mixHash": "0x3d1fdd16f15aeab72e7db1013b9f034ee33641d92f71c0736beab4e67d34c7a7",
    "nonce": "0x4db7a1c01d8a8072",
    "number": "0x5bad55",
    "parentHash": "0x61a8ad530a8a43e3583f8ec163f773ad370329b2375d66433eb82f005e1d6202",
    "receiptsRoot": "0x5eced534b3d84d3d732ddbc714f5fd51d98a941b28182b6efe6df3a0fe90004b",
    "sha3Uncles": "0x8a562e7634774d3e3a36698ac4915e37fc84a2cd0044cb84fa5d80263d2af4f6",
    "size": "0x41c7",
    "stateRoot": "0xf5208fffa2ba5a3f3a2f64ebd5ca3d098978bedd75f335f56b705d8715ee2305",
    "timestamp": "0x5b541449",
    "totalDifficulty": "0x12ac11391a2f3872fcd",
    "transactions": [
      "0x8784d99762bccd03b2086eabccee0d77f14d05463281e121a62abfebcf0d2d5f",
      "0x311be6a9b58748717ac0f70eb801d29973661aaf1365960d159e4ec4f4aa2d7f",
      "0xe42b0256058b7cad8a14b136a0364acda0b4c36f5b02dea7e69bfd82cef252a2",
      "0x4eb05376055c6456ed883fc843bc43df1dcf739c321ba431d518aecd7f98ca11",
      "0x994dd9e72b212b7dc5fd0466ab75adf7d391cf4f206a65b7ad2a1fd032bb06d7",
      "0xf6feecbb9ab0ac58591a4bc287059b1133089c499517e91a274e6a1f5e7dce53",
      "0x7e537d687a5525259480440c6ea2e1a8469cd98906eaff8597f3d2a44422ff97",
      "0xa762220e92bed6d77a2c19ffc60dad77d71bd5028c5230c896ab4b9552a39b50",
      "0xf1fa677edda7e5add8e794732c7554cd5459a5c12781dc71de73c7937dfb2775",
      "0x241d89f7888fbcfadfd415ee967882fec6fdd67c07ca8a00f2ca4c910a84c7dd"
    ]
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.1moneynetwork.com/integrations/evm-compatible-rpcs-wip/eth_getblockbynumber.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
